import request from '@/utils/request'

// 查询非定点加油记录列表
export function listRefuelingLog (query) {
  return request({
    url: '/clw/refuelingLog/list',
    method: 'get',
    params: query
  })
}

// 查询非定点加油记录详细
export function getRefuelingLog (id) {
  return request({
    url: '/clw/refuelingLog/' + id,
    method: 'get'
  })
}

// 新增非定点加油记录
export function addRefuelingLog (data) {
  return request({
    url: '/clw/refuelingLog',
    method: 'post',
    data: data
  })
}

// 修改非定点加油记录
export function updateRefuelingLog (data) {
  return request({
    url: '/clw/refuelingLog',
    method: 'put',
    data: data
  })
}

// 删除非定点加油记录
export function delRefuelingLog (id) {
  return request({
    url: '/clw/refuelingLog/' + id,
    method: 'delete'
  })
}
